import Layout from '@/components/layout/layout';

export default [
  {
    path: '/gic-card',
    component: Layout,
    redirect: '/gic-card/list',
    children: [
      {
        path: 'list',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/card-list.vue'),
        // meta: {
        //   keepAlive: true,
        // }
      },
      // 领取记录
      {
        path: 'log/member-get',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/member-get.vue'),
      },
      // 转赠列表
      {
        path: 'log/send-list',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/send-list.vue'),
      },
      // 发放日志
      // {
      //   path: 'log/grant-list',
      //   component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/grant-list.vue'),
      // },
      // 发放错误日志
      {
        path: 'log/grant-error-list',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/grant-error-list.vue'),
        meta: {
          path: '/gic-card/log/grant-list'
        }
      },
      // 卡券库存同步列表
      {
        path: 'sync-stock/list',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/sync-stock-list.vue'),
        meta: {
          type: 'add',
          path: '/gic-card/list'
        }
      },
      // 导入券码失败记录
      {
        path: 'code-error/list',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/import-error-list.vue'),
        meta: {
          path: '/gic-card/list'
        }
      },
      // 步骤页新增卡券
      {
        path: 'add',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/card-form.vue'),
        meta: {
          type: 'add',
          path: '/gic-card/list'
        }
      },
      // 步骤页编辑卡券
      {
        path: 'edit',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/card-form.vue'),
        meta: {
          type: 'edit',
          path: '/gic-card/list'
        }
      },
      // 步骤页复制卡券
      {
        path: 'copy',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/card-form.vue'),
        meta: {
          type: 'copy',
          path: '/gic-card/list'
        }
      },
      // 长页详情
      {
        path: 'info',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/card-info.vue'),
        meta: {
          type: 'info',
          path: '/gic-card/list'
        }
      },
      // 长页编辑
      {
        path: 'info-edit',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/card-info.vue'),
        meta: {
          type: 'edit',
          path: '/gic-card/list'
        }
      },
      // 卡券投放列表
      {
        path: 'group-send/list',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/group-send-list.vue'),
      },
      // 新建卡券投放
      {
        path: 'group-send/add',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/group-send-form.vue'),
        meta: {
          type: 'add',
          path: '/gic-card/group-send/list'
        }
      },
      // 卡券投放-记录
      {
        path: 'group-send/info-log',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/group-send-info.vue'),
        meta: {
          path: '/gic-card/group-send/list'
        }
      },
      // 卡券投放-详情
      {
        path: 'group-send/info',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/group-send-form.vue'),
        meta: {
          type: 'info',
          path: '/gic-card/group-send/list'
        }
      },
      // 卡券投放详情--投放失败
      {
        path: 'group-send/info-fail',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/group-send-fail-list.vue'),
        meta: {
          path: '/gic-card/group-send/list'
        }
      },
      // 卡券展架列表
      {
        path: 'shelf/list',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/shelf-list.vue'),
      },
      // 卡券展架新增
      {
        path: 'shelf/add',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/shelf-form.vue'),
        meta: {
          type: 'add',
          path: '/gic-card/shelf/list'
        }
      },
      // 卡券展架编辑
      {
        path: 'shelf/edit',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/shelf-form.vue'),
        meta: {
          type: 'edit',
          path: '/gic-card/shelf/list'
        }
      },
      // 展架计划领取详情
      {
        path: 'shelf/receive-list',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/shelf-receive-list.vue'),
        meta: {
          type: 'edit',
          path: '/gic-card/shelf/list'
        }
      },
      // 卡券销毁列表
      {
        path: 'destroy/list',
        component: () => import(/* webpackChunkName: "gic-card" */'@/views/gic-card/destroy-list.vue'),
      },
    ],
  },
];